ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maarten Coene <maarten_co...@yahoo.com>
Subject Re: ivyDE / WTP - Invalid classpath publish/export dependency
Date Wed, 06 Aug 2008 20:16:40 GMT
Which version of Eclipse/IvyDE do you use?

Maarten




----- Original Message ----
From: Jan Vissers <Jan.Vissers@cumquat.nl>
To: ivy-user@ant.apache.org
Sent: Wednesday, August 6, 2008 12:59:24 PM
Subject: ivyDE / WTP - Invalid classpath publish/export dependency

Hi,

Whenever I add J2EE Module dependencies to my WTP project to include
ivy.xml[configuration] I get the message as shown in my subject.

In my case the detailed message in Eclipse is:

/home/jvissers/Work/Java-Libraries/cache/apache/commons-logging/1.1.1/jars/commons-logging.jar.
The project contains another dependency with the same archive name.

I've introduced exclude elements for the respective libraries (spring
and blazeds) which means my cache directory in fact doesn't include
commons-logging any longer. So basically the file:

/home/jvissers/Work/Java-Libraries/cache/apache/commons-logging/1.1.1/jars/commons-logging.jar
*does not* exist. 

Question: why is Eclipse/IvyDE introducing this error when no such file
exists?

Thx,
-J.


      

Mime
View raw message